<template>
  <div v-if="items && items.length" class="bg-gray-6 app" id="section-app">
    <IconAnimationBlue class="icon-blue"/>
    <IconAnimationOrange class="icon-orange"/>
    <div class="container">
      <div class="f fdc aic app__header">
        <h2 class="h1 app__title">Các ứng dụng quản lý bán hàng</h2>
        <p class="mt05 mb25 s2">Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.</p>
      </div>
      <VueSlickCarousel v-if="isMobile" class="h100 grid grid--4 " :arrows="true" :speed="300" :draggable="true" :infinite="false">
        <div v-for="(item, index) in items" :key="index" class="grid__item">
          <div class="py15 px15 border-radius-m bg-white card">
            <div class="card__before-title" :style="item.style"/>
            <h3 v-if="item.name" class="black mt15 card__title">{{ item.name }}</h3>
            <h3 v-if="item.description" class="p6 gray-1 mt1 card__description">{{ item.description }}</h3>
            <nuxt-link v-if="item.link" :to="item.link" class="f mt2 gray-1 card__cta">
              <span class="f aic p4 blue-3">Tìm hiểu thêm <IconArrowLeft class="ml05 rotate-180"/></span>
            </nuxt-link>
          </div>
        </div>
      </VueSlickCarousel>
      <div v-else class="f fw grid grid--4 ">
        <div v-for="(item, index) in items" :key="index" class="py075 px075 grid__item">
          <Card
            :title="item.name"
            :description="item.description"
            :link="item.link"
          >
            <template v-slot:before-title>
              <div class="border-radius-m card__before-title" :style="item.style"/>
            </template>
            <template v-slot:cta>
              <span class="f aic p4 blue-3">Tìm hiểu thêm <IconArrowLeft class="ml05 rotate-180"/></span>
            </template>
          </Card>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'
import Card from '~/components/Card'
import mixins from '~/common/plugins/mixins'

export default {
  name: 'AppGrid',
  components: { VueSlickCarousel, Card },
  mixins: [mixins],
  data () {
    return {
      items: [
        {
          name: 'Quản lý Tổng',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #6875E5 0%, #4E58B1 100%);'
        },
        {
          name: 'Kế toán',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #F8B12D 0%, #E6A327 100%);'
        },
        {
          name: 'Quản lý Kho',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #24DA71 0%, #18A955 100%);'
        },
        {
          name: 'Quản lý Vận chuyển',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #EE8D57 0%, #DB814E 100%);'
        },
        {
          name: 'Nhà phân phối',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #9773FF 0%, #7658CB 100%);'
        },
        {
          name: 'Nhân viên thị trường',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #6393F0 0%, #4E75C2 100%);'
        },
        {
          name: 'Cửa hàng tạp hóa',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #1BD19B 0%, #14B082 100%);'
        },
        {
          name: 'Quản lý Tổng',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #24AFC1 0%, #1B92A2 100%);'
        }
      ]
    }
  }
}
</script>

<style scoped lang="scss">
@import "@/assets/base/variables";

.app {
  position: relative;
  padding: 80px 0 160px;

  @media (min-width: break($xs)) {
    padding: 120px 0;
  }
}

.app__header {
  max-width: 460px;
  margin: 0 auto;
  text-align: center;
}

.grid {
  &--4 {
    & > .grid__item {
      width: 100%;

      @media (min-width: 768px) {
        width: 50%;
      }

      @media (min-width: 1024px) {
        width: 25%;
      }
    }
  }
}
.card__before-title {
  width: 64px;
  height: 64px;
}

.icon-orange {
  position: absolute;
  top: -140px;
  left: -100px;
  width: 280px;
  height: 280px;
  transform: rotate(135deg);
}

.icon-blue {
  position: absolute;
  bottom: 24px;
  right: 30px;
  width: 180px;
  height: 160px;
  transform: rotate(180deg);
  @media screen and (min-width: $s) {
    bottom: 24px;
    right: 150px;
  }
}
</style>
